<?xml version="1.0" encoding="<mx:text id="SCRIPT_ENCODAGE"/>"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<mx:text id="CONTENT_LANGUAGE"/>" lang="<mx:text id="CONTENT_LANGUAGE"/>" dir="ltr">

<head>
<title><mx:text id="title_guestbook"/></title>
<meta http-equiv="Content-Language" content="<mx:text id="CONTENT_LANGUAGE"/>" />
<meta http-equiv="Content-Type" content="text/html; charset=<mx:text id="SCRIPT_ENCODAGE"/>" />
<link rel="stylesheet" type="text/css" href="<mx:text id="chem_skin"/>alex_livre.css" />
</head>

<body>
<script language="javascript" type="text/javascript">
<!--
var lang_max_car = "<mx:text id="caracteres"/>";
var lang_reste   = "<mx:text id="il_reste"/>";
var max_car      = <mx:text id="maxi_car"/>;

function smiley(smile) {
 smile = " "+smile+" ";

 var compgen = navigator.userAgent.toLowerCase();
 var navsafari = ((compgen.indexOf('safari') != -1) || (navigator.vfinor == "Apple"));
 var navie = ((compgen.indexOf('msie') != -1) && (!navopera) && (!navsafari) && (!navwebtv));
 var navopera = (compgen.indexOf('opera') != -1);
 var navwebtv = (compgen.indexOf('webtv') != -1);
 var oswin =  ((compgen.indexOf("win") != -1) || (compgen.indexOf("16bit") != -1));
 var navers = parseInt(navigator.appVersion);
 var chem = document.getElementById('message_textarea');
 var fermer = false;
 
 if ((navers >= 4) && navie && oswin) {
  if (chem.isTextEdit) {
   chem.focus();
   var dselect = document.selection;
   var cr = dselect.createRange(); cr.colapse;
   if ((dselect.type == "Text" || dselect.type == "None") && cr != null) {
    fermer = true;
    cr.text = smile;
   }
  }
  else { fermer = true; chem.value += smile; }
 }
 else {
  if (chem.selectionEnd) { 
   var selectdebut = chem.selectionStart;
   var selecthaut = chem.scrollTop;
   var selectfin = chem.selectionEnd;
   if (selectfin <= 2) { selectfin = chem.textLength; }
   var debut  = (chem.value).substring(0, selectdebut);
   var milieu = (chem.value).substring(selectdebut, selectfin);
   var fin    = (chem.value).substring(selectfin, chem.textLength);
   if (chem.selectionEnd - chem.selectionStart > 0) { milieu = smile + milieu; } else { milieu = smile + milieu; fermer = true; }
   chem.value = debut + milieu + fin;
   var cpos = selectdebut + (milieu.length);
   chem.selectionStart = cpos;
   chem.selectionEnd = cpos;
   chem.scrollTop = selecthaut;
  }
  else { 
   fermer = true;
   chem.value += smile; 
  }
  
  chem.focus(); return fermer;
 }
}

function verif_mail(adresse) {
 var place = adresse.indexOf("@",1);
 var point = adresse.indexOf(".",place+1);
   
 if ((place > -1)&&(adresse.length >2)&&(point > 1))
  return true;
 else
  return false;
}

function verif_add(){
 var F = document.getElementById("form_add_guest");
 var nom = F.nom.value;
 var message = F.message_textarea.value;
 <mx:bloc id="bloc_verif_mail">
 var mail= F.email.value;
 </mx:bloc id="bloc_verif_mail">

 if (!nom){
  alert("<mx:text id="erreur_add_nom"/> ");
  return false;
 }
 else if (!message){
  alert("<mx:text id="erreur_add_message"/> ");
  return false;
 }
 <mx:bloc id="bloc_verif_mail2">
 else if (!verif_mail(mail) && mail){
  alert("<mx:text id="erreur_mail"/> ");
  return false;
 }
 </mx:bloc id="bloc_verif_mail2">
 else if (F.code_securite && !F.code_securite.value){
  alert("<mx:text id="erreur_code_securite"/>");
  return false;
 }
}

function script_popup(page, name, largeur, hauteur, options){
  var top=(screen.height-hauteur)/2;
  var left=(screen.width-largeur)/2;
  window.open(page,name,"top="+top+",left="+left+",width="+largeur+",height="+hauteur+","+options);
}

function update_flag(objet){
 if (objet.value)
  document.getElementById("img_flags").src = '<mx:text id="chem_absolu"/>images/flags/'+objet.value+'.png';
}

function countCar(texta, mde) {
 if (max_car > 0){
  if (texta.value.length>max_car)
   texta.value = texta.value.substring(0, max_car);

  if (mde==0)
   var leng = texta.value.length+1;
  else
   var leng = texta.value.length;

  var diff = ((max_car-leng) == "-1") ? "0" : max_car-leng;
  document.getElementById('reste_car').value = diff;
 }
}
//-->
</script>

<mx:text id="message_alert"/>

<div class="d_title"><mx:text id="title_guestbook"/></div>

<mx:bloc id="bloc_note">
<div class="d_note"><br /><mx:text id="note_moyenne"/> <strong><mx:text id="value_note_moyenne"/>/10</strong></div>
</mx:bloc id="bloc_note">

 <!-- add_message -->
<mx:bloc id="bloc_add_message">
</mx:bloc id="bloc_add_message">
<!-- end add_message -->

<br /> 

<mx:bloc id="bloc_moteur">
<div class="d_note">
<form method="get" action="<mx:text id="action_search"/>">
<mx:text id="text_select_search"/> : <input maxlength="60" size="19" name="mots_search" value="<mx:text id="value_search"/>" /> <input type="submit" value="<mx:text id="text_ok_search"/>" name="rechercher" class="btn_search" /><input type="hidden" value="<mx:text id="debut"/>" name="debut" /><input type="hidden" value="<mx:text id="lang"/>" name="lang" /><input type="hidden" value="<mx:text id="skin"/>" name="skin" /><mx:text id="extensionGet"/> <mx:text id="btn_annuler"/>
</form></div><br />
</mx:bloc id="bloc_moteur">

<div class="body_all"><div class="body_txt">
<!-- bloc nb_messages / page -->
<mx:bloc id="bloc_nb_messages_page">
</mx:bloc id="bloc_nb_messages_page">
<!-- end bloc nb_messages / page -->

<!-- bloc liste pages -->
<mx:bloc id="bloc_liste_pages">
</mx:bloc id="bloc_liste_pages">
<!-- end bloc liste pages -->
 
<!-- boucle messages  -->
<mx:bloc id="bloc_boucle_mess">

<mx:bloc id="bloc_corps_messages">
</mx:bloc id="bloc_corps_messages">

<mx:bloc id="bloc_space">
</mx:bloc id="bloc_space">

</mx:bloc id="bloc_boucle_mess">

<!-- si le livre ne comporte pas de messages !-->
<mx:text id="no_message"/>
<!-- end boucle messages -->
 

<!-- bloc liste pages -->
<mx:bloc id="bloc_liste_pages">
</mx:bloc id="bloc_liste_pages">
<!-- end bloc liste pages -->

<!-- bloc nb_messages / page -->
<mx:bloc id="bloc_nb_messages_page">
</mx:bloc id="bloc_nb_messages_page">
<!-- end bloc nb_messages / page -->
</div></div>

<!--
//
// Alexis Soulard 2002 - 2006
//

I request you retain the full copyright notice below including the link to www.alexphpteam.com
and the link to our sponsor www.down-fr.com.
This not only gives respect to the large amount of time given freely by the developer
but also helps build interest, traffic and use of @lex Guestbook. If you refuse
to include even this then support on our guestbook may be affected.

You can delete this copyright if you buy a licence : http://www.alexphpteam.com/sup_copyright.php
-->

<div class="copyright">
<br />
Powered by <a href="http://www.alexphpteam.com/" target="_blank" class="a_copyright">@lex Guestbook</a> &copy; - <a href="javascript:script_popup('infos_spam.php?lang=<mx:text id="lang"/>','down',350,280,'scrollbars=yes')" class="a_copyright"><mx:text id="avis_spammeurs"/></a><br />Sponsored by <a href="http://www.down-fr.com" target="_blank" title="Télécharger des logiciels download sharewares, freewares with www.down-fr.com. Windows, Mac, Linux. Wallpapers, fonds d'écran, gifs animés, icônes, curseurs, scripts PHP. Cours et profs pour cours particuliers. Freeware, shareware." class="a_copyright">Down-fr.com</a>
</div>
</body>

</html>